---
image: python:latest

stages:
  - docker
  - test
  - release

variables:
  # CODE_PATH: "src"
  SAST_GOSEC_LEVEL: 3
  CI_APPLICATION_REPOSITORY: registry.gitlab.com/onap-integration/docker/onap-python
  CONTAINER_RELEASE_IMAGE: frankfurt

.before_script_docker: &before_script_docker
  image: docker:latest
  <<: *before_script_docker
  services:
    - docker:dind
  before_script:
    - docker login -u "$CI_REGISTRY_USER" -p "$CI_REGISTRY_PASSWORD" $CI_REGISTRY

docker-onap-baseline:
  stage: docker
  <<: *before_script_docker
  script:
    - docker build --pull -t "$CI_REGISTRY_IMAGE" -f ./Dockerfile .
    - docker push "$CI_REGISTRY_IMAGE"
  only:
    - master

container_scanning:
  variables:
    CI_APPLICATION_TAG: latest

include:
  - template: Container-Scanning.gitlab-ci.yml
  - template: License-Management.gitlab-ci.yml
  - template: Dependency-Scanning.gitlab-ci.yml
  - template: License-Scanning.gitlab-ci.yml
  - template: SAST.gitlab-ci.yml
  - template: Secret-Detection.gitlab-ci.yml

release-image:
  stage: release
  <<: *before_script_docker
  script:
    - docker pull $CI_APPLICATION_REPOSITORY
    - docker tag $CI_APPLICATION_REPOSITORY $CI_APPLICATION_REPOSITORY:$CONTAINER_RELEASE_IMAGE
    - docker push $CI_APPLICATION_REPOSITORY:$CONTAINER_RELEASE_IMAGE
  only:
    - master
